pandoc-lua-marshal-0.3.1: Use pandoc types in Lua

Copyright | © 2021-2025 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.CitationMode

Description

Marshaling/unmarshaling functions of `CitationMode` values.

Synopsis

- peekCitationMode :: Peeker e CitationMode
- pushCitationMode :: Pusher e CitationMode

# Documentation

peekCitationMode :: Peeker e CitationMode Source #

Retrieves a Citation value from a string.

pushCitationMode :: Pusher e CitationMode Source #

Pushes a CitationMode value as string.